## mining guild
execute as @a at @s if entity @e[type=minecraft:villager,tag=FGC,distance=..2,limit=1] unless entity @s[tag=FGCtalk] run function guilded:farming_g/talk
execute as @a at @s if entity @e[type=minecraft:villager,tag=FGC,distance=4..,limit=1] if entity @s[tag=FGCtalk] if entity @s[tag=FTcheck] run function guilded:farming_g/tags

## tellraw triggers
scoreboard players enable @a FQcheck
scoreboard players enable @a FGcheck
scoreboard players enable @a FGE
scoreboard players enable @a FGstop
scoreboard players enable @a FG1A
scoreboard players enable @a FG2A
scoreboard players enable @a FG3A
scoreboard players enable @a FG4A
scoreboard players enable @a FG5A
scoreboard players enable @a FQ1P
scoreboard players enable @a FQ3P
scoreboard players enable @a FQ5P


execute as @a at @s if entity @s[scores={FQcheck=1..}] run function guilded:farming_g/q_check
execute as @a at @s if entity @s[scores={FQcheck=1..}] run trigger FQcheck set 0
execute as @a at @s if entity @s[scores={FGcheck=1..}] run function guilded:farming_g/g_check
execute as @a at @s if entity @s[scores={FGcheck=1..}] run trigger FGcheck set 0
execute as @a at @s if entity @s[scores={FGE=1..}] run function guilded:farming_g/extra
execute as @a at @s if entity @s[scores={FGE=1..}] run trigger FGE set 0
execute as @a at @s if entity @s[scores={FGstop=1..}] run function guilded:farming_g/stopt
execute as @a at @s if entity @s[scores={FGstop=1..}] run trigger FGstop set 0
execute as @a at @s if entity @s[scores={FG1A=1..}] run function guilded:farming_g/quests/accept/f_q1
execute as @a at @s if entity @s[scores={FG1A=1..}] run trigger FG1A set 0
execute as @a at @s if entity @s[scores={FG2A=1..}] run function guilded:farming_g/quests/accept/f_q2
execute as @a at @s if entity @s[scores={FG2A=1..}] run trigger FG2A set 0
execute as @a at @s if entity @s[scores={FG3A=1..}] run function guilded:farming_g/quests/accept/f_q3
execute as @a at @s if entity @s[scores={FG3A=1..}] run trigger FG3A set 0
execute as @a at @s if entity @s[scores={FG4A=1..}] run function guilded:farming_g/quests/accept/f_q4
execute as @a at @s if entity @s[scores={FG4A=1..}] run trigger FG4A set 0
execute as @a at @s if entity @s[scores={FG5A=1..}] run function guilded:farming_g/quests/accept/f_q5
execute as @a at @s if entity @s[scores={FG5A=1..}] run trigger FG5A set 0
execute as @a at @s if entity @s[scores={FQ1P=1..}] run function guilded:farming_g/quests/complete/f_q1
execute as @a at @s if entity @s[scores={FQ1P=1..}] run trigger FQ1P set 0
execute as @a at @s if entity @s[scores={FQ3P=1..}] run function guilded:farming_g/quests/complete/f_q3
execute as @a at @s if entity @s[scores={FQ3P=1..}] run trigger FQ3P set 0
execute as @a at @s if entity @s[scores={FQ5P=1..}] run function guilded:farming_g/quests/complete/f_q5
execute as @a at @s if entity @s[scores={FQ5P=1..}] run trigger FQ5P set 0

    ## team BENEFITS

        ## team benefit
         execute as @a at @s unless entity @s[team=FG] run attribute @s generic.max_health base set 20
          execute as @a at @s if entity @s[team=FG] run attribute @s generic.max_health base set 24
          execute as @a at @s unless entity @s[team=FG] run scoreboard players set @s FT 0
        execute as @a at @s if entity @s[team=FG,scores={FT=6000..}] run loot give @s loot random_crop
        execute as @a at @s if entity @s[team=FG,scores={FT=6000..}] run tellraw @s {"text":"Played for 5 minutes! 5 random crops given.","color":"green","bold":true}
        execute as @a at @s if entity @s[team=FG,scores={FT=6000..}] run scoreboard players set @s FT 0

## leave check
execute as @a at @s if score @s fgLeave matches 1 if entity @s[tag=FGCtalk] run function guilded:farming_g/stopt
execute as @a at @s if score @s fgLeave matches 1 if entity @s[tag=FGCtalk] run scoreboard players set @s fgLeave 0
execute as @a at @s if score @s fgLeave matches 1 if entity @s[tag=FQ1acc] run tag @s remove SFQ1
execute as @a at @s if score @s fgLeave matches 1 if entity @s[tag=FQ3acc] run tag @s remove SFQ3
execute as @a at @s if score @s fgLeave matches 1 if entity @s[tag=FQ5acc] run tag @s remove SFQ5
execute as @a at @s if score @s fgLeave matches 1 if entity @s[tag=FGCtalk] run tag @s remove FGCtalk



## FQ1 
# GIVE 3 IRON HOES

        ## UH HANDLER
        execute as @a run clear @s minecraft:iron_hoe 0
        execute as @a run scoreboard players set @s FQ1 0
        execute as @a store result score @s FQ1 run clear @s minecraft:iron_hoe 0


    tag @a[tag=FQ1prompt] remove SFQ1
    execute if entity @a[tag=FQ1acc,scores={FQ1=..2}] as @a[tag=FQ1acc,scores={FQ1=..2}] at @s if entity @s[tag=FQ1prompt] run tag @s remove FQ1prompt
    execute if entity @a[tag=FQ1acc,scores={FQ1=3..}] as @a[tag=FQ1acc,scores={FQ1=3..}] at @s unless entity @s[tag=FQ1] unless entity @s[tag=FQ1prompt] run function guilded:farming_g/quests/prompt/f_q1


## FQ2 
# BREED 30 ANIMALS

  execute as @a at @s unless entity @s[tag=FQ2acc] run scoreboard players set @s FQ2 0
  execute if entity @a[tag=FQ2acc,scores={FQ2=30..}] as @a[tag=FQ2acc,scores={FQ2=30..}] at @s unless entity @s[tag=FQ2] run function guilded:farming_g/quests/complete/f_q2

## FQ3 
# GIVE 64 CARROTS

    ## CARROT HANDLER
        execute as @a run clear @s minecraft:carrot 0
        execute as @a run scoreboard players set @s FQ3 0
        execute as @a store result score @s FQ3 run clear @s minecraft:carrot 0


    tag @a[tag=FQ3prompt] remove SFQ3
    execute if entity @a[tag=FQ3acc,scores={FQ3=..63}] as @a[tag=FQ3acc,scores={FQ3=..63}] at @s if entity @s[tag=FQ3prompt] run tag @s remove FQ3prompt
    execute if entity @a[tag=FQ3acc,scores={FQ3=64..}] as @a[tag=FQ3acc,scores={FQ3=64..}] at @s unless entity @s[tag=FQ3] unless entity @s[tag=FQ3prompt] run function guilded:farming_g/quests/prompt/f_q3

## FQ4 
# CRAFT 8 CAKES

  execute as @a at @s unless entity @s[tag=FQ4acc] run scoreboard players set @s FQ4 0
  execute if entity @a[tag=FQ4acc,scores={FQ4=8..}] as @a[tag=FQ4acc,scores={FQ4=8..}] at @s unless entity @s[tag=FQ4] run function guilded:farming_g/quests/complete/f_q4

## FQ5 
# GIVE 128 WHEAT

    ## WHEAT HANDLER
        execute as @a run clear @s minecraft:wheat 0
        execute as @a run scoreboard players set @s FQ5 0
        execute as @a store result score @s FQ5 run clear @s minecraft:wheat 0


    tag @a[tag=FQ5prompt] remove SFQ5
    execute if entity @a[tag=FQ5acc,scores={FQ5=..127}] as @a[tag=FQ5acc,scores={FQ5=..127}] at @s if entity @s[tag=FQ5prompt] run tag @s remove FQ5prompt
    execute if entity @a[tag=FQ5acc,scores={FQ5=128..}] as @a[tag=FQ5acc,scores={FQ5=128..}] at @s unless entity @s[tag=FQ5] unless entity @s[tag=FQ5prompt] run function guilded:farming_g/quests/prompt/f_q5