## mining guild
execute as @a at @s if entity @e[type=minecraft:villager,tag=AGC,distance=..2,limit=1] unless entity @s[tag=AGCtalk] run function guilded:adventure_g/talk
execute as @a at @s if entity @e[type=minecraft:villager,tag=AGC,distance=4..,limit=1] if entity @s[tag=AGCtalk] if entity @s[tag=ATcheck] run function guilded:adventure_g/tags

## tellraw triggers
scoreboard players enable @a AQcheck
scoreboard players enable @a AGcheck
scoreboard players enable @a AGE
scoreboard players enable @a AGstop
scoreboard players enable @a AG1A
scoreboard players enable @a AG2A
scoreboard players enable @a AG3A
scoreboard players enable @a AG4A
scoreboard players enable @a AG5A
scoreboard players enable @a AG1P
scoreboard players enable @a AG2P
scoreboard players enable @a AG3P

execute as @a at @s if entity @s[scores={AQcheck=1..}] run function guilded:adventure_g/q_check
execute as @a at @s if entity @s[scores={AQcheck=1..}] run trigger AQcheck set 0
execute as @a at @s if entity @s[scores={AGcheck=1..}] run function guilded:adventure_g/g_check
execute as @a at @s if entity @s[scores={AGcheck=1..}] run trigger AGcheck set 0
execute as @a at @s if entity @s[scores={AGE=1..}] run function guilded:adventure_g/extra
execute as @a at @s if entity @s[scores={AGE=1..}] run trigger AGE set 0
execute as @a at @s if entity @s[scores={AGstop=1..}] run function guilded:adventure_g/stopt
execute as @a at @s if entity @s[scores={AGstop=1..}] run trigger AGstop set 0
execute as @a at @s if entity @s[scores={AG1A=1..}] run function guilded:adventure_g/quests/accept/a_q1
execute as @a at @s if entity @s[scores={AG1A=1..}] run trigger AG1A set 0
execute as @a at @s if entity @s[scores={AG2A=1..}] run function guilded:adventure_g/quests/accept/a_q2
execute as @a at @s if entity @s[scores={AG2A=1..}] run trigger AG2A set 0
execute as @a at @s if entity @s[scores={AG3A=1..}] run function guilded:adventure_g/quests/accept/a_q3
execute as @a at @s if entity @s[scores={AG3A=1..}] run trigger AG3A set 0 
execute as @a at @s if entity @s[scores={AG4A=1..}] run function guilded:adventure_g/quests/accept/a_q4
execute as @a at @s if entity @s[scores={AG4A=1..}] run trigger AG4A set 0
execute as @a at @s if entity @s[scores={AG5A=1..}] run function guilded:adventure_g/quests/accept/a_q5
execute as @a at @s if entity @s[scores={AG5A=1..}] run trigger AG5A set 0
execute as @a at @s if entity @s[scores={AG1P=1..}] run function guilded:adventure_g/quests/complete/a_q1
execute as @a at @s if entity @s[scores={AG1P=1..}] run trigger AG1P set 0
execute as @a at @s if entity @s[scores={AG2P=1..}] run function guilded:adventure_g/quests/complete/a_q2
execute as @a at @s if entity @s[scores={AG2P=1..}] run trigger AG2P set 0
execute as @a at @s if entity @s[scores={AG3P=1..}] run function guilded:adventure_g/quests/complete/a_q3
execute as @a at @s if entity @s[scores={AG3P=1..}] run trigger AG3P set 0

    ## team BENEFITS

        ## team benefit
         execute as @a at @s unless entity @s[team=AG] run attribute @s generic.movement_speed base set 0.1
          execute as @a at @s if entity @s[team=AG] run attribute @s generic.movement_speed base set 0.15
          execute as @a at @s unless entity @s[team=AG] run scoreboard players set @s AD 0
        execute as @a at @s if entity @s[team=AG,scores={AD=25000..}] run give @s emerald
        execute as @a at @s if entity @s[team=AG,scores={AD=25000..}] run tellraw @s {"text":"Walked 250 blocks! Emerald given","color":"green","bold":true}
        execute as @a at @s if entity @s[team=AG,scores={AD=25000..}] run scoreboard players set @s AD 0


    ## leave check
    execute as @a at @s if score @s agLeave matches 1 if entity @s[tag=AGCtalk] run function guilded:adventure_g/stopt
    execute as @a at @s if score @s agLeave matches 1 if entity @s[tag=AGCtalk] run scoreboard players set @s agLeave 0
    execute as @a at @s if score @s agLeave matches 1 if entity @s[tag=AQ1acc] run tag @s remove SAQ1
    execute as @a at @s if score @s agLeave matches 1 if entity @s[tag=AQ3acc] run tag @s remove SAQ2
    execute as @a at @s if score @s agLeave matches 1 if entity @s[tag=AQ5acc] run tag @s remove SAQ3
     execute as @a at @s if score @s agLeave matches 1 if entity @s[tag=AGCtalk] run tag @s remove AGCtalk



    ## quests

     ## AQ1
     #GET 5 COCOA BEANS

     ## COCOA HANDLER
        execute as @a run clear @s minecraft:cocoa_beans 0
        execute as @a run scoreboard players set @s AQ1 0
        execute as @a store result score @s AQ1 run clear @s minecraft:cocoa_beans 0

    execute as @a at @s if entity @s[tag=AQ1prompt] run tag @s remove SAQ1
    execute if entity @a[tag=AQ1acc,scores={AQ1=..4}] as @a[tag=AQ1acc,scores={AQ1=..4}] at @s if entity @s[tag=AQ1prompt] run tag @s remove AQ1prompt
    execute if entity @a[tag=AQ1acc,scores={AQ1=5..}] as @a[tag=AQ1acc,scores={AQ1=5..}] at @s unless entity @s[tag=AQ1] unless entity @s[tag=AQ1prompt] run function guilded:adventure_g/quests/prompt/a_q1

     ## AQ2
     #GET 4 BLAZE RODS

        ## ROD HANDLER
        execute as @a run clear @s minecraft:blaze_rod 0
        execute as @a run scoreboard players set @s AQ2 0
        execute as @a store result score @s AQ2 run clear @s minecraft:blaze_rod 0

    execute as @a at @s if entity @s[tag=AQ2prompt] run tag @s remove SAQ2
    execute if entity @a[tag=AQ2acc,scores={AQ2=..3}] as @a[tag=AQ2acc,scores={AQ2=..3}] at @s if entity @s[tag=AQ2prompt] run tag @s remove AQ2prompt
    execute if entity @a[tag=AQ2acc,scores={AQ2=4..}] as @a[tag=AQ2acc,scores={AQ2=4..}] at @s unless entity @s[tag=AQ2] unless entity @s[tag=AQ2prompt] run function guilded:adventure_g/quests/prompt/a_q2
    


    ## AQ3
    #GET 12 TORCHFLOWERS

        ## GOLD HANDLER
        execute as @a run clear @s minecraft:torchflower 0
        execute as @a run scoreboard players set @s AQ3 0
        execute as @a store result score @s AQ3 run clear @s minecraft:torchflower 0


    execute as @a at @s if entity @s[tag=AQ3prompt] run tag @s remove SAQ3
    execute if entity @a[tag=AQ3acc,scores={AQ3=..11}] as @a[tag=AQ3acc,scores={AQ3=..11}] at @s if entity @s[tag=AQ3prompt] run tag @s remove AQ3prompt
    execute if entity @a[tag=AQ3acc,scores={AQ3=12..}] as @a[tag=AQ3acc,scores={AQ3=12..}] at @s unless entity @s[tag=AQ3] unless entity @s[tag=AQ3prompt] run function guilded:adventure_g/quests/prompt/a_q3

    ## AQ4
    #FIND A ANCIENT CITY

    execute if entity @a[tag=AQ4acc] as @a[tag=AQ4acc] at @s if entity @s[tag=AGCF] unless entity @s[tag=AQ4] run function guilded:adventure_g/quests/complete/a_q4

    ## AQ5
    #CRAFT 6 MAPS
    execute as @a at @s unless entity @s[tag=AQ5acc] run scoreboard players set @s AQ5 0
    execute if entity @a[tag=AQ5acc,scores={AQ5=6..}] as @a[tag=AQ5acc,scores={AQ5=6..}] at @s unless entity @s[tag=AQ5] run function guilded:adventure_g/quests/complete/a_q5