## mining guild
execute as @a at @s if entity @e[type=minecraft:villager,tag=MGC,distance=..2,limit=1] unless entity @s[tag=MGCtalk] run function guilded:mining_g/talk
execute as @a at @s if entity @e[type=minecraft:villager,tag=MGC,distance=4..,limit=1] if entity @s[tag=MGCtalk] if entity @s[tag=MTcheck] run function guilded:mining_g/tags

## talking triggers
scoreboard players enable @a MQcheck
scoreboard players enable @a MGcheck
scoreboard players enable @a MGE
scoreboard players enable @a MGstop
scoreboard players enable @a MG1A
scoreboard players enable @a MG2A
scoreboard players enable @a MG3A
scoreboard players enable @a MG4A
scoreboard players enable @a MG5A
scoreboard players enable @a MG3P
scoreboard players enable @a MG5P

execute as @a at @s if entity @s[scores={MQcheck=1..}] run function guilded:mining_g/q_check
execute as @a at @s if entity @s[scores={MQcheck=1..}] run trigger MQcheck set 0
execute as @a at @s if entity @s[scores={MGcheck=1..}] run function guilded:mining_g/g_check
execute as @a at @s if entity @s[scores={MGcheck=1..}] run trigger MGcheck set 0
execute as @a at @s if entity @s[scores={MGE=1..}] run function guilded:mining_g/extra
execute as @a at @s if entity @s[scores={MGE=1..}] run trigger MGE set 0
execute as @a at @s if entity @s[scores={MGstop=1..}] run function guilded:mining_g/stopt
execute as @a at @s if entity @s[scores={MGstop=1..}] run trigger MGstop set 0
execute as @a at @s if entity @s[scores={MG1A=1..}] run function guilded:mining_g/quests/accept/m_q1
execute as @a at @s if entity @s[scores={MG1A=1..}] run trigger MG1A set 0
execute as @a at @s if entity @s[scores={MG2A=1..}] run function guilded:mining_g/quests/accept/m_q2
execute as @a at @s if entity @s[scores={MG2A=1..}] run trigger MG2A set 0
execute as @a at @s if entity @s[scores={MG3A=1..}] run function guilded:mining_g/quests/accept/m_q3
execute as @a at @s if entity @s[scores={MG3A=1..}] run trigger MG3A set 0
execute as @a at @s if entity @s[scores={MG4A=1..}] run function guilded:mining_g/quests/accept/m_q4
execute as @a at @s if entity @s[scores={MG4A=1..}] run trigger MG4A set 0
execute as @a at @s if entity @s[scores={MG5A=1..}] run function guilded:mining_g/quests/accept/m_q5
execute as @a at @s if entity @s[scores={MG5A=1..}] run trigger MG5A set 0
execute as @a at @s if entity @s[scores={MG3P=1..}] run function guilded:mining_g/quests/complete/m_q3
execute as @a at @s if entity @s[scores={MG3P=1..}] run trigger MG3P set 0
execute as @a at @s if entity @s[scores={MG5P=1..}] run function guilded:mining_g/quests/complete/m_q5
execute as @a at @s if entity @s[scores={MG5P=1..}] run trigger MG5P set 0

    ## team BENEFITS

        ## team benefit remove
         execute as @a at @s unless entity @s[team=MG] run attribute @s player.block_break_speed base set 1
          execute as @a at @s if entity @s[team=MG] run attribute @s player.block_break_speed base set 3

    
    ## mining benefit
    execute as @a at @s run function guilded:mining_g/mining_ben

    ## leave check
    execute as @a at @s if score @s mgLeave matches 1 if entity @s[tag=MGCtalk] run function guilded:mining_g/stopt
    execute as @a at @s if score @s mgLeave matches 1 if entity @s[tag=MGCtalk] run scoreboard players set @s mgLeave 0
    execute as @a at @s if score @s mgLeave matches 1 if entity @s[tag=MQ3acc] run tag @s remove SMQ3
    execute as @a at @s if score @s mgLeave matches 1 if entity @s[tag=MQ5acc] run tag @s remove SMQ5
    execute as @a at @s if score @s mgLeave matches 1 if entity @s[tag=MGCtalk] run tag @s remove MGCtalk


    ## quests

     ## MQ1
     #MINE 5 DEEPSLATE 
    execute as @a at @s unless entity @s[tag=MQ1acc] run scoreboard players set @s MQ1 0
    execute if entity @a[tag=MQ1acc,scores={MQ1=5..}] as @a[tag=MQ1acc,scores={MQ1=5..}] at @s unless entity @s[tag=MQ1] run function guilded:mining_g/quests/complete/m_q1

     ## MQ2
     #CRAFT 1 DIAMOND PICK 3 IRON
    execute as @a at @s unless entity @s[tag=MQ2acc] run scoreboard players set @s MQ2a 0
    execute as @a at @s unless entity @s[tag=MQ2acc] run scoreboard players set @s MQ2b 0
    execute if entity @a[tag=MQ2acc,scores={MQ2a=1..,MQ2b=3..}] as @a[tag=MQ2acc,scores={MQ2a=1..,MQ2b=3..}] at @s unless entity @s[tag=MQ2] run function guilded:mining_g/quests/complete/m_q2


    ## MQ3
    #GET 20 GOLD

        ## GOLD HANDLER
        execute as @a run clear @s minecraft:gold_ingot 0
        execute as @a run scoreboard players set @s MQ3 0
        execute as @a store result score @s MQ3 run clear @s minecraft:gold_ingot 0


    tag @a[tag=MQ3prompt] remove SMQ3
    execute if entity @a[tag=MQ3acc,scores={MQ3=..19}] as @a[tag=MQ3acc,scores={MQ3=..19}] at @s if entity @s[tag=MQ3prompt] run tag @s remove MQ3prompt
    execute if entity @a[tag=MQ3acc,scores={MQ3=20..}] as @a[tag=MQ3acc,scores={MQ3=20..}] at @s unless entity @s[tag=MQ3] unless entity @s[tag=MQ3prompt] run function guilded:mining_g/quests/prompt/m_q3

    ## MQ4
    #FIND A STRONGHOLD

    execute if entity @a[tag=MQ4acc] as @a[tag=MQ4acc] at @s if entity @s[tag=MGSF] unless entity @s[tag=MQ4] run function guilded:mining_g/quests/complete/m_q4

    ## MQ5 
    #GIVE 64 RAILS

        ## RAIL HANDLER
        execute as @a run clear @s minecraft:rail 0
        execute as @a run scoreboard players set @s MQ5 0
        execute as @a store result score @s MQ5 run clear @s minecraft:rail 0

    execute as @a at @s if entity @s[tag=MQ5prompt] run tag @s remove SMQ5
    execute if entity @a[tag=MQ5acc,scores={MQ5=..63}] as @a[tag=MQ5acc,scores={MQ5=..63}] at @s if entity @s[tag=MQ5prompt] run tag @s remove MQ5prompt
    execute if entity @a[tag=MQ5acc,scores={MQ5=64..}] as @a[tag=MQ5acc,scores={MQ5=64..}] at @s unless entity @s[tag=MQ5] unless entity @s[tag=MQ5prompt] run function guilded:mining_g/quests/prompt/m_q5